Index: src/Actions/FragmentationAction/FragmentationAutomationAction.cpp
===================================================================
--- src/Actions/FragmentationAction/FragmentationAutomationAction.cpp	(revision a9558f08725aef6a869b5db8e1f8f566b591db1b)
+++ src/Actions/FragmentationAction/FragmentationAutomationAction.cpp	(revision 4bc75d97ed72e9069dfe436ea18f8e2fbc540afd)
@@ -52,5 +52,5 @@
 #include "Graph/DepthFirstSearchAnalysis.hpp"
 #include "Jobs/MPQCJob.hpp"
-#include "Jobs/MPQCCommandJob_MPQCData.hpp"
+#include "Jobs/MPQCData.hpp"
 #include "molecule.hpp"
 #include "World.hpp"
Index: src/Jobs/MPQCCommandJob.hpp
===================================================================
--- src/Jobs/MPQCCommandJob.hpp	(revision a9558f08725aef6a869b5db8e1f8f566b591db1b)
+++ src/Jobs/MPQCCommandJob.hpp	(revision 4bc75d97ed72e9069dfe436ea18f8e2fbc540afd)
@@ -21,5 +21,5 @@
 #include "JobMarket/Jobs/SystemCommandJob.hpp"
 
-#include "Jobs/MPQCCommandJob_MPQCData.hpp"
+#include "Jobs/MPQCData.hpp"
 
 class MPQCCommandJobTest;
Index: c/Jobs/MPQCCommandJob_MPQCData.cpp
===================================================================
--- src/Jobs/MPQCCommandJob_MPQCData.cpp	(revision a9558f08725aef6a869b5db8e1f8f566b591db1b)
+++ 	(revision )
@@ -1,93 +1,0 @@
-/*
- * Project: MoleCuilder
- * Description: creates and alters molecular systems
- * Copyright (C)  2012 University of Bonn. All rights reserved.
- * 
- *
- *   This file is part of MoleCuilder.
- *
- *    MoleCuilder is free software: you can redistribute it and/or modify
- *    it under the terms of the GNU General Public License as published by
- *    the Free Software Foundation, either version 2 of the License, or
- *    (at your option) any later version.
- *
- *    MoleCuilder is distributed in the hope that it will be useful,
- *    but WITHOUT ANY WARRANTY; without even the implied warranty of
- *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *    GNU General Public License for more details.
- *
- *    You should have received a copy of the GNU General Public License
- *    along with MoleCuilder.  If not, see <http://www.gnu.org/licenses/>.
- */
-
-/*
- * MPQCCommandJob_MPQCData.cpp
- *
- *  Created on: Feb 08, 2012
- *      Author: heber
- */
-
-// include config.h
-#ifdef HAVE_CONFIG_H
-#include <config.h>
-#endif
-
-#include "CodePatterns/MemDebug.hpp"
-
-#include "MPQCCommandJob_MPQCData.hpp"
-
-#include <iostream>
-#include <limits>
-
-#include "CodePatterns/Log.hpp"
-#include "LinearAlgebra/defs.hpp"
-
-MPQCData::energy_t::energy_t() :
-  total(0.),
-  nuclear_repulsion(0.),
-  electron_repulsion(0.),
-  correlation(0.),
-  overlap(0.),
-  kinetic(0.),
-  hcore(0.)
-{}
-
-MPQCData::times_t::times_t() :
-  walltime(0.),
-  cputime(0.),
-  flops(0.)
-{}
-
-/** Comparator for class MPQCData.
- *
- */
-bool MPQCData::operator==(const MPQCData &other) const
-{
-  if (fabs(energies.total - other.energies.total) > std::numeric_limits<double>::epsilon()) {
-    LOG(1, "INFO: Energy's in MPQCData differ: "
-        << energies.total << " != " << other.energies.total << ".");
-    return false;
-  }
-  if (forces.size() != other.forces.size()) {
-    LOG(1, "INFO: Forces's in MPQCData differ in size: "
-        << forces.size() << " != " << other.forces.size() << ".");
-    return false;
-  }
-  for (size_t i = 0; i < forces.size(); ++i)
-    for (size_t index = 0; index < NDIM; ++index)
-      if (fabs(forces[i][index] - other.forces[i][index]) > std::numeric_limits<double>::epsilon()) {
-        LOG(1, "INFO: " << index << "th component of force of particle "
-            << i << " in MPQCData differ: " << forces[i][index]
-            << " != " << other.forces[i][index] << ".");
-        return false;
-      }
-  return true;
-}
-
-std::ostream & operator<<(std::ostream &ost, const MPQCData &data)
-{
-  ost << "Energy: " << data.energies.total << "\t";
-  ost << "Forces: " << data.forces << "\t";
-  ost << "Times: " << data.times.walltime << ", " << data.times.cputime << ", " << data.times.flops;
-  return ost;
-}
Index: c/Jobs/MPQCCommandJob_MPQCData.hpp
===================================================================
--- src/Jobs/MPQCCommandJob_MPQCData.hpp	(revision a9558f08725aef6a869b5db8e1f8f566b591db1b)
+++ 	(revision )
@@ -1,99 +1,0 @@
-/*
- * MPQCCommandJob_MPQCData.hpp
- *
- *  Created on: Feb 08, 2012
- *      Author: heber
- */
-
-#ifndef MPQCCOMMANDJOB_MPQCDATA_HPP_
-#define MPQCCOMMANDJOB_MPQCDATA_HPP_
-
-// include config.h
-#ifdef HAVE_CONFIG_H
-#include <config.h>
-#endif
-
-#include <boost/serialization/access.hpp>
-#include <boost/serialization/vector.hpp>
-
-#include <iosfwd>
-#include <vector>
-
-class MPQCCommandJob;
-class MPQCCommandJobTest;
-class MPQCDataTest;
-
-/** Internal class that holds the data and can be serialized.
- *
- */
-class MPQCData {
-  //!> allow MPQCCommandJob access to member variables directly
-  friend class MPQCCommandJob;
-  //!> grant MPQCCommandJob's unit test access
-  friend class MPQCCommandJobTest;
-  //!> grant unit test access
-  friend class MPQCDataTest;
-  //!> grant access to output stream operator
-  friend std::ostream & operator<<(std::ostream &ost, const MPQCData &data);
-public:
-  bool operator==(const MPQCData &other) const;
-
-  bool operator!=(const MPQCData &other) const {
-    return !(*this == other);
-  }
-
-  /// Energie structure
-  struct energy_t {
-    /** Constructor for struct energy_t, sets all to zero.
-     *
-     */
-    energy_t();
-
-    double total;
-    double nuclear_repulsion;
-    double electron_repulsion;
-    double correlation;
-    double overlap;
-    double kinetic;
-    double hcore;
-  } energies;
-
-  /// Forces
-  typedef std::vector<double> vector_type;
-  std::vector< vector_type  > forces;
-
-  /// Timing structure
-  struct times_t {
-    /** Constructor for struct times_t, sets all to zero.
-     *
-     */
-    times_t();
-
-    double walltime;
-    double cputime;
-    double flops;
-  } times;
-
-private:
-  friend class boost::serialization::access;
-  // serialization
-  template <typename Archive>
-  void serialize(Archive& ar, const unsigned int version)
-  {
-    ar & energies.total;
-    ar & energies.nuclear_repulsion;
-    ar & energies.electron_repulsion;
-    ar & energies.correlation;
-    ar & energies.overlap;
-    ar & energies.kinetic;
-    ar & energies.hcore;
-    ar & forces;
-    ar & times.walltime;
-    ar & times.cputime;
-    ar & times.flops;
-  }
-};
-
-std::ostream & operator<<(std::ostream &ost, const MPQCData &data);
-
-#endif /* MPQCCOMMANDJOB_MPQCDATA_HPP_ */
Index: src/Jobs/MPQCData.cpp
===================================================================
--- src/Jobs/MPQCData.cpp	(revision 4bc75d97ed72e9069dfe436ea18f8e2fbc540afd)
+++ src/Jobs/MPQCData.cpp	(revision 4bc75d97ed72e9069dfe436ea18f8e2fbc540afd)
@@ -0,0 +1,93 @@
+/*
+ * Project: MoleCuilder
+ * Description: creates and alters molecular systems
+ * Copyright (C)  2012 University of Bonn. All rights reserved.
+ * 
+ *
+ *   This file is part of MoleCuilder.
+ *
+ *    MoleCuilder is free software: you can redistribute it and/or modify
+ *    it under the terms of the GNU General Public License as published by
+ *    the Free Software Foundation, either version 2 of the License, or
+ *    (at your option) any later version.
+ *
+ *    MoleCuilder is distributed in the hope that it will be useful,
+ *    but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *    GNU General Public License for more details.
+ *
+ *    You should have received a copy of the GNU General Public License
+ *    along with MoleCuilder.  If not, see <http://www.gnu.org/licenses/>.
+ */
+
+/*
+ * MPQCCommandJob_MPQCData.cpp
+ *
+ *  Created on: Feb 08, 2012
+ *      Author: heber
+ */
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
+#include "CodePatterns/MemDebug.hpp"
+
+#include "MPQCData.hpp"
+
+#include <iostream>
+#include <limits>
+
+#include "CodePatterns/Log.hpp"
+#include "LinearAlgebra/defs.hpp"
+
+MPQCData::energy_t::energy_t() :
+  total(0.),
+  nuclear_repulsion(0.),
+  electron_repulsion(0.),
+  correlation(0.),
+  overlap(0.),
+  kinetic(0.),
+  hcore(0.)
+{}
+
+MPQCData::times_t::times_t() :
+  walltime(0.),
+  cputime(0.),
+  flops(0.)
+{}
+
+/** Comparator for class MPQCData.
+ *
+ */
+bool MPQCData::operator==(const MPQCData &other) const
+{
+  if (fabs(energies.total - other.energies.total) > std::numeric_limits<double>::epsilon()) {
+    LOG(1, "INFO: Energy's in MPQCData differ: "
+        << energies.total << " != " << other.energies.total << ".");
+    return false;
+  }
+  if (forces.size() != other.forces.size()) {
+    LOG(1, "INFO: Forces's in MPQCData differ in size: "
+        << forces.size() << " != " << other.forces.size() << ".");
+    return false;
+  }
+  for (size_t i = 0; i < forces.size(); ++i)
+    for (size_t index = 0; index < NDIM; ++index)
+      if (fabs(forces[i][index] - other.forces[i][index]) > std::numeric_limits<double>::epsilon()) {
+        LOG(1, "INFO: " << index << "th component of force of particle "
+            << i << " in MPQCData differ: " << forces[i][index]
+            << " != " << other.forces[i][index] << ".");
+        return false;
+      }
+  return true;
+}
+
+std::ostream & operator<<(std::ostream &ost, const MPQCData &data)
+{
+  ost << "Energy: " << data.energies.total << "\t";
+  ost << "Forces: " << data.forces << "\t";
+  ost << "Times: " << data.times.walltime << ", " << data.times.cputime << ", " << data.times.flops;
+  return ost;
+}
Index: src/Jobs/MPQCData.hpp
===================================================================
--- src/Jobs/MPQCData.hpp	(revision 4bc75d97ed72e9069dfe436ea18f8e2fbc540afd)
+++ src/Jobs/MPQCData.hpp	(revision 4bc75d97ed72e9069dfe436ea18f8e2fbc540afd)
@@ -0,0 +1,99 @@
+/*
+ * MPQCData.hpp
+ *
+ *  Created on: Feb 08, 2012
+ *      Author: heber
+ */
+
+#ifndef MPQCDATA_HPP_
+#define MPQCDATA_HPP_
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
+#include <boost/serialization/access.hpp>
+#include <boost/serialization/vector.hpp>
+
+#include <iosfwd>
+#include <vector>
+
+class MPQCCommandJob;
+class MPQCCommandJobTest;
+class MPQCDataTest;
+
+/** Internal class that holds the data and can be serialized.
+ *
+ */
+class MPQCData {
+  //!> allow MPQCCommandJob access to member variables directly
+  friend class MPQCCommandJob;
+  //!> grant MPQCCommandJob's unit test access
+  friend class MPQCCommandJobTest;
+  //!> grant unit test access
+  friend class MPQCDataTest;
+  //!> grant access to output stream operator
+  friend std::ostream & operator<<(std::ostream &ost, const MPQCData &data);
+public:
+  bool operator==(const MPQCData &other) const;
+
+  bool operator!=(const MPQCData &other) const {
+    return !(*this == other);
+  }
+
+  /// Energie structure
+  struct energy_t {
+    /** Constructor for struct energy_t, sets all to zero.
+     *
+     */
+    energy_t();
+
+    double total;
+    double nuclear_repulsion;
+    double electron_repulsion;
+    double correlation;
+    double overlap;
+    double kinetic;
+    double hcore;
+  } energies;
+
+  /// Forces
+  typedef std::vector<double> vector_type;
+  std::vector< vector_type  > forces;
+
+  /// Timing structure
+  struct times_t {
+    /** Constructor for struct times_t, sets all to zero.
+     *
+     */
+    times_t();
+
+    double walltime;
+    double cputime;
+    double flops;
+  } times;
+
+private:
+  friend class boost::serialization::access;
+  // serialization
+  template <typename Archive>
+  void serialize(Archive& ar, const unsigned int version)
+  {
+    ar & energies.total;
+    ar & energies.nuclear_repulsion;
+    ar & energies.electron_repulsion;
+    ar & energies.correlation;
+    ar & energies.overlap;
+    ar & energies.kinetic;
+    ar & energies.hcore;
+    ar & forces;
+    ar & times.walltime;
+    ar & times.cputime;
+    ar & times.flops;
+  }
+};
+
+std::ostream & operator<<(std::ostream &ost, const MPQCData &data);
+
+#endif /* MPQCDATA_HPP_ */
Index: src/Jobs/MPQCJob.cpp
===================================================================
--- src/Jobs/MPQCJob.cpp	(revision a9558f08725aef6a869b5db8e1f8f566b591db1b)
+++ src/Jobs/MPQCJob.cpp	(revision 4bc75d97ed72e9069dfe436ea18f8e2fbc540afd)
@@ -41,6 +41,6 @@
 #include "CodePatterns/MemDebug.hpp"
 
-#include "Jobs/MPQCJob.hpp"
-#include "Jobs/MPQCCommandJob_MPQCData.hpp"
+#include "MPQCJob.hpp"
+#include "Jobs/MPQCData.hpp"
 
 #include <sstream>
Index: src/Jobs/Makefile.am
===================================================================
--- src/Jobs/Makefile.am	(revision a9558f08725aef6a869b5db8e1f8f566b591db1b)
+++ src/Jobs/Makefile.am	(revision 4bc75d97ed72e9069dfe436ea18f8e2fbc540afd)
@@ -4,10 +4,10 @@
 JOBSSOURCE = \
         Jobs/MPQCCommandJob.cpp \
-        Jobs/MPQCCommandJob_MPQCData.cpp \
+        Jobs/MPQCData.cpp \
         Jobs/MPQCJob.cpp
 
 JOBSHEADER = \
         Jobs/MPQCCommandJob.hpp \
-        Jobs/MPQCCommandJob_MPQCData.hpp \
+        Jobs/MPQCData.hpp \
         Jobs/MPQCJob.hpp
 
Index: src/Jobs/unittests/MPQCDataUnitTest.cpp
===================================================================
--- src/Jobs/unittests/MPQCDataUnitTest.cpp	(revision a9558f08725aef6a869b5db8e1f8f566b591db1b)
+++ src/Jobs/unittests/MPQCDataUnitTest.cpp	(revision 4bc75d97ed72e9069dfe436ea18f8e2fbc540afd)
@@ -46,5 +46,5 @@
 #include "MPQCDataUnitTest.hpp"
 
-#include "Jobs/MPQCCommandJob_MPQCData.hpp"
+#include "Jobs/MPQCData.hpp"
 
 #include "CodePatterns/Assert.hpp"
Index: src/controller_MPQCCommandJob.cpp
===================================================================
--- src/controller_MPQCCommandJob.cpp	(revision a9558f08725aef6a869b5db8e1f8f566b591db1b)
+++ src/controller_MPQCCommandJob.cpp	(revision 4bc75d97ed72e9069dfe436ea18f8e2fbc540afd)
@@ -66,5 +66,5 @@
 
 #include "Jobs/MPQCCommandJob.hpp"
-#include "Jobs/MPQCCommandJob_MPQCData.hpp"
+#include "Jobs/MPQCData.hpp"
 
 #include "LinearAlgebra/defs.hpp"
